CHAT_FRAME_FADE_OUT_TIME = 0
CHAT_TAB_HIDE_DELAY = 0
CHAT_FRAME_TAB_SELECTED_MOUSEOVER_ALPHA = 1
CHAT_FRAME_TAB_SELECTED_NOMOUSE_ALPHA = 0
CHAT_FRAME_TAB_ALERTING_MOUSEOVER_ALPHA = 1
CHAT_FRAME_TAB_ALERTING_NOMOUSE_ALPHA = 0
CHAT_FRAME_TAB_NORMAL_MOUSEOVER_ALPHA = 1
CHAT_FRAME_TAB_NORMAL_NOMOUSE_ALPHA = 0

BNToastFrame:SetClampedToScreen(true)

ChatFrameMenuButton:HookScript("OnShow", ChatFrameMenuButton.Hide)
		ChatFrameMenuButton:Hide()

FriendsMicroButton:SetScript("OnShow", FriendsMicroButton.Hide)
		FriendsMicroButton:Hide()

-- Table to keep track of frames you already saw:
local frames = {}

-- Function to handle customzing a chat frame:
local function ProcessFrame(frame)
	if frames[frame] then return end

-- Do all frame customization here.
for i = 1, NUM_CHAT_WINDOWS do

	_G[frame:GetName() .. "ButtonFrame"]:Hide()
	_G[frame:GetName() .. "EditBoxLeft"]:Hide()
	_G[frame:GetName() .. "EditBoxMid"]:Hide()
	_G[frame:GetName() .. "EditBoxRight"]:Hide()
	
	local editbox = _G[frame:GetName() .. "EditBox"]

    		editbox:ClearAllPoints()
    		editbox:SetPoint('BOTTOMLEFT', ChatFrame1, 'TOPLEFT', -7, 25)
    		editbox:SetPoint('BOTTOMRIGHT', ChatFrame1, 'TOPRIGHT', 10, 25) 
		editbox:SetAltArrowKeyMode(false)
 	
    		frame:SetClampRectInsets(0, 0, 0, 0)
    		frame:SetMaxResize(UIParent:GetWidth(), UIParent:GetHeight())
    		frame:SetMinResize(250, 100)
end
	frames[frame] = true
end

-- Get all of the permanent chat windows and customize them:
for i = 1, NUM_CHAT_WINDOWS do
	ProcessFrame(_G["ChatFrame" .. i])
end

-- Set up a dirty hook to catch temporary windows and customize them when they are created:
local old_OpenTemporaryWindow = FCF_OpenTemporaryWindow
FCF_OpenTemporaryWindow = function(...)
	local frame = old_OpenTemporaryWindow(...)
	ProcessFrame(frame)
	return frame
end

function FloatingChatFrame_OnMouseScroll(self, delta)
	if delta > 0 then
		if IsShiftKeyDown() then
			self:ScrollToTop()
		else	
			self:ScrollUp()
		end
	elseif delta < 0 then
		if IsShiftKeyDown() then
			self:ScrollToBottom()
		else
			self:ScrollDown()
		end
	end	
end